import React from 'react'
import { Container, Row, Col } from 'reactstrap';

const Footer = ({isSignedIn}) => {
    return (
    <footer className="round-border" >
        <Container  className="padding-footer">
                <Row>
                <Col className="align-self-center" xs="12" sm="3">
                <h5 className="text-white text-center"><b>LINKS</b></h5>
                    <ul className="text-white mr-3">
                    <li><a href="/home">Home</a></li>
                    <li><a href="/about">About</a></li>
                    { isSignedIn && 
                        <>
                        <li><a href="/blogs">Blogs</a></li>
                        <li><a href="/videos">Videos</a></li>
                        <li><a href="/cutoff">Cutoff/Rank</a></li>
                        <li><a href="/premiumservice">Premium Service</a></li>
                        <li><a href="/feedback">Feedback</a></li>
                        </>
                    }
                        <li><a href="/contact">Contacts</a></li>
                    </ul>
                </Col>
            
                <Col className="text-center align-self-center" xs="12" sm="5">
                <h5 className="text-white"><b>CONTACT US</b></h5>
                    <address>
                        Vision Foresighting Future<br></br>
                    <i className="fa fa-phone fa-lg"></i> : 6383279480 / 9786901170<br></br>
                    <i className="fa fa-envelope fa-lg"></i> : <a className="text-black" href="mailto:visionforesightingfuture@gmail.com">visionforesightingfuture@gmail.com</a>
                    </address>
                </Col>

                <Col className="align-self-center" xs="12" sm="4">
                
                <div className="text-center social-media">
                        <h5 className="text-white"><b>ABOUT US</b></h5>
                        {/* <a  href="http://google.com/+"><i className="fa fa-google-plus fa-lg"></i></a>
                        <a  href="http://www.facebook.com/profile.php?id="><i className="fa fa-facebook fa-lg"></i></a> */}
                        <a href="https://www.linkedin.com/company/visionforesightingfuture"><i className="fa fa-linkedin fa-lg"></i></a>
                        <a  href="https://instagram.com/vision_foresightingfuture"><i className="fa fa-instagram fa-lg"></i></a>
                        <a  href="https://youtube.com/c/DINESHPRABHU"><i className="fa fa-youtube fa-lg"></i></a>
                        <a  href="mailto:visionforesightingfuture@gmail.com"><i className="fa fa-envelope-o fa-lg"></i></a>
                    </div>
                </Col>
                </Row>

        </Container>    
        <Container className="text-center " >
            <Row className="p-2 bg-black round-border">
                <Col className=" p-1" >
                <span className="text-white">© Copyright 2021 VISION FTF</span>
                </Col>
            </Row>
        </Container>
    </footer>
    )
}

export default Footer
